Multi-Instance Chat Completions
POST/accounts/{account_id}/ai-search/namespaces/{name}/chat/completions
Performs a chat completion request against multiple AI Search instances in parallel, merging retrieved content as context for generating a response.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Multi-Instance Chat Completions
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-search/namespaces/$NAME/chat/completions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"ai_search_options": {
"instance_ids": [
"my-ai-search"
]
},
"messages": [
{
"content": "content",
"role": "system"
}
]
}'{
"choices": [
{
"message": {
"content": "content",
"role": "system"
},
"index": 0
}
],
"chunks": [
{
"id": "id",
"instance_id": "instance_id",
"score": 0,
"text": "text",
"type": "type",
"item": {
"key": "key",
"metadata": {
"foo": "bar"
},
"timestamp": 0
},
"scoring_details": {
"fusion_method": "rrf",
"keyword_rank": 0,
"keyword_score": 0,
"reranking_score": 0,
"vector_rank": 0,
"vector_score": 0
}
}
],
"id": "id",
"errors": [
{
"instance_id": "instance_id",
"message": "message"
}
],
"model": "model",
"object": "object"
}Returns Examples
{
"choices": [
{
"message": {
"content": "content",
"role": "system"
},
"index": 0
}
],
"chunks": [
{
"id": "id",
"instance_id": "instance_id",
"score": 0,
"text": "text",
"type": "type",
"item": {
"key": "key",
"metadata": {
"foo": "bar"
},
"timestamp": 0
},
"scoring_details": {
"fusion_method": "rrf",
"keyword_rank": 0,
"keyword_score": 0,
"reranking_score": 0,
"vector_rank": 0,
"vector_score": 0
}
}
],
"id": "id",
"errors": [
{
"instance_id": "instance_id",
"message": "message"
}
],
"model": "model",
"object": "object"
}